{
    "name": "samesystem",
    "version": "0.0.0",
    "private": true,
    "type": "module",
    "scripts": {
        "dev:projectA": "PROJECT=projectA vite -c src/apps/projectA/vite.config.ts",
        "dev:projectB": "PROJECT=projectB vite -c src/apps/projectB/vite.config.ts",
        "test:projectA": "PROJECT=projectA vite -c src/apps/projectA/vite.config.ts --mode test",
        "test:projectB": "PROJECT=projectB vite -c src/apps/projectB/vite.config.ts --mode test",
        "stg:projectA": "PROJECT=projectA vite -c src/apps/projectA/vite.config.ts --mode staging",
        "stg:projectB": "PROJECT=projectB vite -c src/apps/projectB/vite.config.ts --mode staging",
        "prod:projectA": "PROJECT=projectA vite -c src/apps/projectA/vite.config.ts --mode production",
        "prod:projectB": "PROJECT=projectB vite -c src/apps/projectB/vite.config.ts --mode production",
        "build:stg:projectA": "rimraf dist && PROJECT=projectA vite build -c src/apps/projectA/vite.config.ts --mode staging",
        "build:stg:projectB": "rimraf dist && PROJECT=projectB vite build -c src/apps/projectB/vite.config.ts --mode staging",
        "build:prod:projectA": "rimraf dist && PROJECT=projectA vite build -c src/apps/projectA/vite.config.ts --mode production",
        "build:prod:projectB": "rimraf dist && PROJECT=projectB vite build -c src/apps/projectB/vite.config.ts --mode production"
    },
    "dependencies": {
        "vue": "^3.5.13",
        "vue-router": "^4.5.0"
    },
    "devDependencies": {
        "@tsconfig/node22": "^22.0.0",
        "@types/node": "^22.10.7",
        "@vitejs/plugin-vue": "^5.2.1",
        "@vitejs/plugin-vue-jsx": "^4.1.1",
        "@vue/tsconfig": "^0.7.0",
        "npm-run-all2": "^7.0.2",
        "rimraf": "^6.0.1",
        "typescript": "~5.7.3",
        "vite": "^6.0.11",
        "vite-plugin-html": "^3.2.2",
        "vue-tsc": "^2.2.0"
    }
}
